#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityMonsterTaskCFGData
{
	//任务ID
	int mId;
	//类型
	int mType;
	//任务描述
	std::string mDesc;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	std::vector<int> mCompleteParam;
	//完成计数
	int mCompleteCount;
	//奖励物品ID
	std::vector<int> mAwardItemID;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//前往类型
	int mGoType;
	//搜索范围
	std::vector<int> mFindRand;
};

class M_ActivityMonsterTaskCFG
{
public:
private:
	static std::auto_ptr<M_ActivityMonsterTaskCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityMonsterTaskCFGData* GetData(int Id);
	boost::unordered_map<int, M_ActivityMonsterTaskCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityMonsterTaskCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityMonsterTaskCFGData> mMapData;
};
